Subject: Re: bug#60252: 29.0.60; help-fns--describe-function-or-command-prompt asks for confirmation

From: Eli Zaretskii <[email-masked]>
Date: Thu, 22 Dec 2022 18:53:06 +0200

> From: Stefan Monnier <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Thu, 22 Dec 2022 11:48:13 -0500
> 
> > I'm actually wondering why Martin considers this a backward
> > incompatibility.  set-face-a cannot be uniquely completed to a single
> > function name, since there are 3 completion candidates.
> 
> But it can be completed to a string which is an exact match.
> 
> > So it sounds like the Emacs 28 behavior was actually a bug,
> 
> Whether it was the right behavior or not can be argued, but that's how
> "must match" has behaved for many many years (probably at least since
> Emacs-19), AFAIK.

I meant a behavioral bug, not that the code didn't do what it was told
to do.

> > which is now fixed?
> 
> We may as well revert that part of my patch.

I don't think that would be TRT.  Emacs behaves like that in other
places, so why this one should be different?  Such inconsistency can
confusing.